# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' @useDynLib MSA2dist, .registration = TRUE
#' @import Rcpp
#' @title rcpp_distSTRING
#' @name rcpp_distSTRING
#' @description calcualtes pairwise distances using a score matrix
#' @return list
#' @param dnavector StringVector
#' @param scoreMatrix NumericMatrix
#' @param ncores number of cores
#' @examples
#' ## load example sequence data
#' data("hiv", package="MSA2dist")
#' rcpp_distSTRING(dnavector=as.character(hiv), scoreMatrix=iupacMatrix())
#' @export rcpp_distSTRING
#' @author Kristian K Ullrich
rcpp_distSTRING <- function(dnavector, scoreMatrix, ncores = 1L) {
    .Call(`_MSA2dist_rcpp_distSTRING`, dnavector, scoreMatrix, ncores)
}

#' @useDynLib MSA2dist, .registration = TRUE
#' @import Rcpp
#' @title rcpp_pairwiseDeletionAA
#' @name rcpp_pairwiseDeletionAA
#' @description returns number of AA sites used
#' @return list
#' @param aavector StringVector
#' @param ncores number of cores
#' @examples
#' ## load example sequence data
#' data("hiv", package="MSA2dist")
#' h <- hiv |> cds2aa() |> as.character()
#' rcpp_pairwiseDeletionAA(aavector=h, ncores=1)
#' @export rcpp_pairwiseDeletionAA
#' @author Kristian K Ullrich
rcpp_pairwiseDeletionAA <- function(aavector, ncores = 1L) {
    .Call(`_MSA2dist_rcpp_pairwiseDeletionAA`, aavector, ncores)
}

#' @useDynLib MSA2dist, .registration = TRUE
#' @import Rcpp
#' @title rcpp_pairwiseDeletionDNA
#' @name rcpp_pairwiseDeletionDNA
#' @description returns number of DNA sites used
#' @return list
#' @param dnavector StringVector
#' @param ncores number of cores
#' @examples
#' ## load example sequence data
#' data("woodmouse", package="ape")
#' w <- woodmouse |> dnabin2dnastring() |> as.character()
#' rcpp_pairwiseDeletionDNA(dnavector=w, ncores=1)
#' @export rcpp_pairwiseDeletionDNA
#' @author Kristian K Ullrich
rcpp_pairwiseDeletionDNA <- function(dnavector, ncores = 1L) {
    .Call(`_MSA2dist_rcpp_pairwiseDeletionDNA`, dnavector, ncores)
}

